import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:flutter/services.dart';

import 'provider/data.dart';
import 'screens/home.dart';
import 'screens/game_pick_word.dart';
import 'screens/game_pick_image.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  SystemChrome.setPreferredOrientations([DeviceOrientation.portraitUp])
      .then((value) => runApp(MyApp()));
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider(
      create: (BuildContext context) => Data(),
      child: Consumer<Data>(builder: (context, data, child) {
        return MaterialApp(
          title: 'Jeux de mots et lettres',
          theme: ThemeData(
            primarySwatch: Colors.blue,
          ),
          home: Home(),
          onGenerateRoute: (settings) {
            switch (settings.name) {
              case '/game-pick-word':
                {
                  return MaterialPageRoute(
                    builder: (context) => GamePickWordPage(),
                  );
                }

              case '/game-pick-image':
                {
                  return MaterialPageRoute(
                    builder: (context) => GamePickImagePage(),
                  );
                }

              default:
                {
                  print("Unknown menu entry");
                }
                break;
            }

            return null;
          },
        );
      }),
    );
  }
}
